# mediatype.h File Reference

`#include <ptbuildopts.h>`
`#include <ptlib/pfactory.h>`
`#include <opal/buildopts.h>`

Go to the source code of this file.

## Namespaces

namespace | PWLibStupidLinkerHacks

## Classes

class | OpalMediaType
class | OpalMediaTypeDefinition
class | SimpleMediaType< Type, sdp >
class | OpalRTPAVPMediaType
class | OpalAudioMediaType

## Defines

#define | OPAL_INSTANTIATE_MEDIATYPE(type, cls)
#define | OPAL_INSTANTIATE_SIMPLE_MEDIATYPE(type, sdp)
#define | OPAL_INSTANTIATE_SIMPLE_MEDIATYPE_NO_SDP(type) OPAL_INSTANTIATE_SIMPLE_MEDIATYPE(type, "")

## Typedefs

typedef PFactory< OpalMediaTypeDefinition > | OpalMediaTypeFactory
typedef OpalMediaTypeFactory::KeyList_T | OpalMediaTypeList
typedef void * | PHandleAggregator

## Functions

ostream & | operator<< (ostream &strm, const OpalMediaType &mediaType)

## Variables

int | PWLibStupidLinkerHacks::mediaTypeLoader

## Define Documentation

#define OPAL_INSTANTIATE_MEDIATYPE | ( | type,
|  | cls |  | ) |

Value:

    namespace OpalMediaTypeSpace { \
      static PFactory<OpalMediaTypeDefinition>::Worker<cls> static_##type##_##cls(#type, true); \
    }; \

#define OPAL_INSTANTIATE_SIMPLE_MEDIATYPE | ( | type,
|  | sdp |  | ) |

Value:

    namespace OpalMediaTypeSpace { \
      char type##_type_string[] = #type; \
      char type##_sdp_string[] = #sdp; \
      typedef SimpleMediaType<type##_type_string, type##_sdp_string> type##_MediaType; \
    }; \
    OPAL_INSTANTIATE_MEDIATYPE(type, type##_MediaType) \

#define OPAL_INSTANTIATE_SIMPLE_MEDIATYPE_NO_SDP | ( | type |  | ) | OPAL_INSTANTIATE_SIMPLE_MEDIATYPE(type, "")

## Typedef Documentation

typedef PFactory<OpalMediaTypeDefinition> OpalMediaTypeFactory

typedef OpalMediaTypeFactory::KeyList_T OpalMediaTypeList

typedef void* PHandleAggregator

## Function Documentation

ostream& operator<< | ( | ostream & | strm,
|  | const OpalMediaType & | mediaType |
| ) |  |  |